This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 710021 - (CVE-2011-1957) CVE-2011-1957 wireshark: Infinite loop in the DICOM dissector
CVE-2011-1957 wireshark: Infinite loop in the DICOM dissector
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110531,reported=20110531,sou...
: Security
Depends On: 809045 809046
Blocks: 807617
  Show dependency treegraph
 
Reported: 2011-06-02 05:42 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 13:36:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-06-02 05:42:38 EDT
It was found that Wireshark's DICOM dissector did not check for invalid
payload data unit length. A remote attacker could create a specially-crafted
capture file, which once opened, by a local, unsuspecting user could lead
to wireshark application hang / termination.

References:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5876
    (upstream bug report)
[2] http://www.wireshark.org/download/automated/captures/fuzz-2011-04-30-7272.pcap
    (public reproducer)
[3] http://www.openwall.com/lists/oss-security/2011/05/31/20
    (CVE request)
[4] http://www.wireshark.org/security/wnpa-sec-2011-07.html
    (upstream advisory)

Upstream patch:
[5] http://anonsvn.wireshark.org/viewvc?view=revision&revision=36958
Comment 1 Jan Lieskovsky 2011-06-02 05:44:29 EDT
This issue did NOT affect the versions of the wireshark package, as shipped
with Red Hat Enterprise Linux 4 and 5.

This issue affects the version of the wireshark package, as shipped
with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the wireshark package, as shipped
with Fedora release of 13, 14, and 15.
Comment 3 errata-xmlrpc 2012-04-23 12:52:10 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0509 https://rhn.redhat.com/errata/RHSA-2012-0509.html
Comment 4 Vincent Danen 2012-04-23 13:36:29 EDT
Statement:

This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 4 or 5.

Note You need to log in before you can comment on or make changes to this bug.